# POST /ideogram/v1/ideogram-v3/remix

**Method**: `POST`
**Endpoint**: `/ideogram/v1/ideogram-v3/remix`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.
For full parameters, see the official documentation: <https://developer.ideogram.ai/api-reference/api-reference/remix-v3>

Returned image URLs remain valid for 24 hours. After that they can no longer be accessed.
Reverse-proxied image

## Request Parameters

### Header Parameters

```text
accept
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters multipart/form-data

```text
prompt
string
Required
rendering_speed
string
Optional
image
file
Required
```

## Example Request

### Shell

```bash
curl --location --request POST '/ideogram/v1/ideogram-v3/remix' \
--header 'accept: application/json' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--form 'prompt=""' \
--form 'rendering_speed=""' \
--form 'image=@""'
```

## Response

### 🔴 500 Success

**Content Type**: `application/json`

#### Response Schema

```text
code
string
Required
message
string
Required
data
null
Required
```

#### Example

```json
{
    "created": "2000-01-23 04:56:07+00:00",
    "data": [
        {
            "prompt": "A photo of a cat",
            "resolution": "1280x800",
            "is_image_safe": true,
            "seed": 12345,
            "url": "https://ideogram.ai/api/images/ephemeral/xtdZiqPwRxqY1Y7NExFmzB.png?exp=1743867804&sig=e13e12677633f646d8531a153d20e2d3698dca9ee7661ee5ba4f3b64e7ec3f89",
            "style_type": "GENERAL"
        }
    ]
}
```
